Single-Server Upgrade

About this task

Important: You must perform this upgrade as the root user.

Perform the following steps to upgrade to the latest version of PureMessage on a single-server configuration:

Follow these steps

  1. Run the PureMessage installation script located in /opt/pmx6/bin:
    pmx-setup

    If prompted to upgrade to the latest version of pmx-setup, press Enter to retrieve the new version.

    Important: You must accept the latest version of pmx-setup to ensure that updates continue to be performed correctly.
    Note: PureMessage uses certificate validation to verify the authenticity of software and data updates. If you want to exercise the utmost caution, you can verify the update program itself. For more information, see "Validating the PureMessage Upgrade Program".
  2. On the main menu, select the Upgrade PureMessage Components option, and then press Enter .
  3. Select Check for updates, and then press Enter . The installer queries for new updates.
  4. If updates are found, select Upgrade components, and then press Enter .
  5. You are prompted to stop PureMessage before continuing the installation. Select Yes, and press Enter .

    Updating the PureMessage components may take a few minutes. When all packages are upgraded successfully, press Enter .

  6. Select Return to the main menu, and then press Enter .
  7. Select Exit the installer, and then press Enter .

What to do next

Important: It is not recommended that you move any of the directories that are located directly beneath /opt/pmx/in the PureMessage installation directory. Directories such as postfix, postgres, etc contain binary files and libraries that are required for PureMessage updates. Moving or symlinking these directories could cause upgrades to fail.